/* GENERAL */

/* SCROLLBAR MODIFIE LE 14/08/2020 */

::-webkit-scrollbar
{
    width: 0;
}
#scrollPath
{
    position: fixed;
    top: 0;
    right: 0;
    width: 10px;
    height: 100%;
    background: rgba(255, 255, 255, 0.05);
}
#progressbar
{
    position: fixed;
    top: 0;
    right: 0;
    width: 10px;
    background:linear-gradient(to top, #008aff,#00ffe7)
    ;
    animation: animate 5s linear infinite;
}
@keyframes animate
{
    0%,100%
    {
        filter: hue-rotate(0deg);
    }
    50%
    {
        filter: hue-rotate(360deg);
    }
}
#progressbar:before
{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 10px;
    height: 100%;
    background:linear-gradient(to top, #008aff,#00ffe7)
    ;
    filter: blur(10px);
}
#progressbar:after
{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 10px;
    height: 100%;
    background:linear-gradient(to top, #008aff,#00ffe7)
    ;
    filter: blur(30px);
}

/* NAVBAR  MODIFIE LE 22/07/2020 */

h1 {
    font-family: "Crete Round", serif;
    font-size: 45px;
    color: #444;
}

.bleu {
    color: #188cda;
}

/* MAIN IMAGE MODIFIE LE 22/07/2020 */

div.row {
    margin-top: 20px;
    margin-bottom: 40px;
}

#main-image {
    height: 580px;
    background: url('../images/code_coding_.jpg') center no-repeat;
}

p.text-center.align-center.h2 {
    font-weight: bolder;
    text-transform: uppercase;
    padding: 150px 0 40px 0;
    margin: 0 auto 20px auto;
    font-size: 55px;
    color: #fff;
}

a.btn.cv {
    position: absolute;
    left: 50%;
    transform: translate(-50%,-50%) ;
    padding: 15px 30px;
    text-transform: uppercase;
    text-decoration: none;
    color: #fff;
    letter-spacing: 2px;
    font-size: 20px;
}
a:before
{
content:'';
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
background: #03a9f4;
z-index: -1;
transition: transform 0.5s;
transform-origin: bottom right;
transform: scale(0);
}
a:hover:before
{
transition: transform 0.5s;
transform-origin: top left;
transform: scale(1);
}
a:after
{
content:'';
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
background: transparent;
border: 2px solid #fff;
box-sizing: border-box;
z-index: -1;
transition: transform 0.5s;
transform-origin: top left;
transform: scale(1);
}
a:hover:after
{
    transition: transform 0.5s;
    transform-origin: bottom right;
    transform: scale(0);  
}
/* PRESENTATI0N MODIFIE LE 22/07/2020 */
h2 {
    font-size: 30px;
    color: #444;
}

p {
    line-height: 20px;
    color: #777;
}

#presentation img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 50px;
    border-radius: 3px;
}
#presentation a
{
    position: relative;
    top: 50px;
    left: 50%;
    transform: translate(-50%,-50%) ;
    padding: 15px 30px;
    text-transform: uppercase;
    text-decoration: none;
    color: #444;
    letter-spacing: 2px;
    font-size: 20px;
}
.trailer
{
    position: fixed;
    top:50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 10000;
    background:rgba(0,0,0,0.95);
    width:100%;
    height:100%;
    display: flex;
    justify-content: center;
    align-items: center;
    visibility: hidden;
    opacity: 0;
}
.trailer.active
{
    visibility: visible;
    opacity: 1;

}
.trailer video
{
    position: relative;
    max-width: 900px;
    outline: none;
}
.close
{
    position: absolute;
    top:30px;
    right:30px;
    cursor: pointer;
    filter: invert(1);
    max-width: 32px;
}
@media (max-width:991px)
{
    .trailer video
    {
        max-width: 90%;
    }
}

/* COMPETENCES MODIFIE LE 22/07/2020 */
.container.comp
{
    align-items: center;
    text-align: center;
    width: 1000px;
    position: relative;
    display: flex;
    justify-content: space-between;
    font-family: consolas;
    margin: auto;
    padding : 0;
    box-sizing: border-box;
}
.container.comp .card
{
 position: relative;
 width: 300px;
 height: 200px;
}
.container.comp .card .face
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: 0.5s;
}
.container.comp .card .face.face1
{
    background: #777;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    transform-origin: bottom;
}
.container.comp .card .face.face1 img
{
    max-width: 100px;
}
.container.comp .card .face.face1 h3
{
    margin: 10px 0 0;
    color: #fff;
    text-align: center;
    font-size: 1.5em;
}
.container.comp .card:hover .face.face1
{
    transform: translateY(-100%) rotateX(90deg);
    background: #03a9f4;
}
.container.comp .card .face.face2
{
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    transform-origin: top;
    transform: translateY(100%) rotateX(90deg);
}
.container.comp .card:hover .face.face2
{
    transform: translateY(0) rotateX(0deg);   
}
/* CONTACT MODIFIE LE 22/07/2020 */

#contact {
    position: relative;
    min-height: 100vh;
    padding: 50px 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#contact .content
{
    max-width:800px;
    text-align: center;
}
#contact .content h3
{
    font-size: 36px;
    font-weight: 500;
}
#contact .content p
{
    font-weight: 300;
}
.container
{
width: 100%;
display: flex;
justify-content: center;
align-items: center;
margin-top: 30px;
}
.container .contactInfo
{
    width: 50%;
    display: flex;
    flex-direction: column;
}
.container .contactInfo .box
{
    position: relative;
    padding: 20px 0;
    display: flex;
}
.container .contactInfo .box .icon
{
    min-width: 60px;
    height: 60px;
    background:#fff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-size: 22px;
}
.container .contactInfo .box .text
{
    display: flex;
    margin-left: 20px;
    font-size: 16px;
    flex-direction: column;
    font-weight: 300;
}
.container .contactInfo .box .text h3
{
    font-weight: 500;
    color:#03a9f4;
}
.contactForm
{
    width: 40%;
    padding:40px;
}
.contactForm h3
{
    font-size: 30px;
    color:#333;
    font-weight:500;
}
.contactForm .inputBox
{
    position: relative;
    width: 100%;
    margin-top: 10px;
}
.contactForm .inputBox input,
.contactForm .inputBox textarea
{
    width: 100%;
    padding: 5px 0;
    font-size: 16px;
    margin:10px 0;
    border: none;
    border-bottom:  2px solid #333;
    outline: none;
    resize: none;
}
.contactForm .inputBox span
{
    position: absolute;
    left: 0;
    padding: 5px 0;
    font-size: 16px;
    margin:10px 0;
    pointer-events: none;
    transition: 0.5s;
    color:#666;
}
.contactForm .inputBox input:focus ~ span,
.contactForm .inputBox input:valid ~ span,
.contactForm .inputBox textarea:focus ~ span,
.contactForm .inputBox textarea:focus ~ span
{
    color: #03a9f4;
    font-size: 12px;
    transform: translateY(-20px);
}
.contactForm .inputBox input[type="submit"]
{
    width: 100px;
    background: #03a9f4 ;
    color: #fff;
    border: none;
    cursor: pointer;
    padding: 10px;
    font-size: 18px;
}

@media (max-width:991px)
{
    .contact
    {
        padding:50px;
    }
    .container
    {
        flex-direction: column;   
    }
    .container .contactInfo
    {
        margin-bottom: 40px;
    }
    .container .contactInfo,
    .contactForm
    {
        width: 100%;
    }
}

/* FOOTER MODIFIE LE 22/07/2020 */

footer {
    height: 260px;
    background-color: #444;
}

footer h1 {
    color: #fff;
    text-align: center;
    padding-top: 80px;
}

.copyright {
    text-align: center;
    font-weight: bold;
    padding-top: 30px;
    color: #777;
}
